#pragma once

#include <Font.h>
#include <UIMLView.h>

class ItemStackElement : public Framework::UIMLElement
{
public:
    ItemStackElement();
    //! prüft, ob dieses UIML Element für ein bestimmtes xml Element zuständig
    //! ist
    bool isApplicableFor(Framework::XML::Element& element) override;
    //! erstellt eine neue Drawable zu einem gegebenen xml Element
    Framework::Drawable* parseElement(Framework::XML::Element& element,
        Framework::UIMLContainer& generalFactory) override;
    bool updateElement(Framework::XML::Element& element,
        Framework::Drawable& z,
        Framework::UIMLContainer& generalFactory) override;
};

class ItemStackView : public Framework::DrawableBackground
{
private:
    Framework::Text count;
    Framework::TextRenderer tr;

public:
    ItemStackView(Framework::Font* font);
    void setCount(Framework::Text count);
    void setToolTip(Framework::XML::Element* zToolTipUIML);
    void render(Framework::Image& rObj) override;
};